summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorColin Watson <cjwatson@debian.org>2013-05-22 15:55:38 (GMT)
committerColin Watson <cjwatson@debian.org>2013-05-22 15:55:38 (GMT)
commit29cd6beebf4a35bf178028e13917eb275fe6c66e (patch)
treefa028d3219d56a755b659b66697fd0e19fe3cdc0 /scripts
parent646440841475e2f2521f965b1ba99085204819cc (diff)
downloaddebootstrap-29cd6beebf4a35bf178028e13917eb275fe6c66e.zip
debootstrap-29cd6beebf4a35bf178028e13917eb275fe6c66e.tar.gz
debootstrap-29cd6beebf4a35bf178028e13917eb275fe6c66e.tar.bz2
scripts/sid, scripts/gutsy: Add a policy-rc.d, matching that in debian-installer-utils. This is the primary way to disable daemon startup.
Diffstat (limited to 'scripts')
-rw-r--r--scripts/gutsy6
-rw-r--r--scripts/sid6
2 files changed, 12 insertions, 0 deletions
diff --git a/scripts/gutsy b/scripts/gutsy
index 4e88b9e..992d605 100644
--- a/scripts/gutsy
+++ b/scripts/gutsy
@@ -150,6 +150,11 @@ second_stage_install () {
sed -i '/dpkg.*--compare-versions/ s/\<lt\>/lt-nl/' "$TARGET/var/lib/dpkg/info/initscripts.postinst"
fi
+ echo \
+"#!/bin/sh
+exit 101" > "$TARGET/usr/sbin/policy-rc.d"
+ chmod 755 "$TARGET/usr/sbin/policy-rc.d"
+
mv "$TARGET/sbin/start-stop-daemon" "$TARGET/sbin/start-stop-daemon.REAL"
echo \
"#!/bin/sh
@@ -209,6 +214,7 @@ echo \"Warning: Fake initctl called, doing nothing\"" > "$TARGET/sbin/initctl"
mv "$TARGET/sbin/initctl.REAL" "$TARGET/sbin/initctl"
fi
mv "$TARGET/sbin/start-stop-daemon.REAL" "$TARGET/sbin/start-stop-daemon"
+ rm -f "$TARGET/usr/sbin/policy-rc.d"
progress $bases $bases CONFBASE "Configuring base system"
info BASESUCCESS "Base system installed successfully."
diff --git a/scripts/sid b/scripts/sid
index 893d5d5..0e2c12d 100644
--- a/scripts/sid
+++ b/scripts/sid
@@ -139,6 +139,11 @@ second_stage_install () {
info CONFREQ "Configuring required packages..."
+ echo \
+"#!/bin/sh
+exit 101" > "$TARGET/usr/sbin/policy-rc.d"
+ chmod 755 "$TARGET/usr/sbin/policy-rc.d"
+
mv "$TARGET/sbin/start-stop-daemon" "$TARGET/sbin/start-stop-daemon.REAL"
echo \
"#!/bin/sh
@@ -185,6 +190,7 @@ echo \"Warning: Fake start-stop-daemon called, doing nothing\"" > "$TARGET/sbin/
dpkg_progress $baseprog $bases CONFBASE "Configuring base system" CONFIGURING
mv "$TARGET/sbin/start-stop-daemon.REAL" "$TARGET/sbin/start-stop-daemon"
+ rm -f "$TARGET/usr/sbin/policy-rc.d"
progress $bases $bases CONFBASE "Configuring base system"
info BASESUCCESS "Base system installed successfully."